// 获取一个字符串 求该字符串的长度(不使用strlen)
#include <iostream>

using namespace std;

int main()
{
    // 从键盘接收字符
    char name[50] = "";

    cout << "请输入姓名: ";
    // 获取整行的内容,包含空格
    cin.getline(name, sizeof(name)); //用法: cin.getline(字符数组, 字符数组的长度), 用于获取整行的内容,包含空格

    // 获取输入字符的个数
    int len = 0;
    while (name[len++])
        ;
    cout << "输入的字符个数为: " << len - 1 << endl;

    return 0;
}